%define	major	0
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		check
Version:	0.10.0
Release:	%mkrel 1
License:	LGPLv2+
Summary:	A unit test framework for C
Group:		System/Libraries
URL:		http://check.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/check/%{name}-%{version}.tar.gz

%description
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals.  The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n	%{libname}
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals. The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires(post): info-install
Requires(preun):info-install
Obsoletes:	%{name}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall

# move documentation
mv %{buildroot}%{_datadir}/doc/%{name} \
    %{buildroot}%{_datadir}/doc/%{develname}-%{version}

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/checkmk
%{_datadir}/doc/%{develname}-%{version}
%{_datadir}/aclocal/check.m4
%{_libdir}/libcheck.la
%{_libdir}/libcheck.so
%{_libdir}/libcheck.a
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_libdir}/pkgconfig/check.pc
%{_infodir}/check.info*
%{_mandir}/man1/checkmk.1*


%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.10.0-1.mga6
+ Revision: 918688
- 0.10.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.12-5.mga5
+ Revision: 746704
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.9.12-4.mga5
+ Revision: 725027
- rebuild for bogus file deps

* Thu Sep 18 2014 umeabot <umeabot> 0.9.12-3.mga5
+ Revision: 693590
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.9.12-2.mga5
+ Revision: 678361
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 dams <dams> 0.9.12-1.mga5
+ Revision: 591441
- new version 0.9.12

* Sat Oct 19 2013 umeabot <umeabot> 0.9.10-2.mga4
+ Revision: 531212
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 0.9.10-1.mga4
+ Revision: 462566
- new version 0.9.10
- clean specfile
- update %%files

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-4.mga3
+ Revision: 347643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 0.9.8-3.mga3
+ Revision: 259536
- rebuild to get info pages as xz instead of lzma

* Fri Jan 14 2011 dmorgan <dmorgan> 0.9.8-2.mga1
+ Revision: 17428
- Get rid of mdv macros
- imported package check

